/* function que inserta el codigo html en elemento del body pasado */
function FUNC_MostrarDatos(html, div) {
    const div_nombre = document.querySelector(div);
/*    
    const ul = document.createElement("li");
    ul.textContent = "cliente 1";
    div_nombre.appendChild(ul);
*/


    div_nombre.innerHTML = html;
    //div_nombre.appendChild(document.createTextNode(html));
    //const ele_a = document.createElement('a')
    //ele_a.appendChild(document.createTextNode(html));
    //div_nombre.appendChild(ele_a);
}

export { FUNC_MostrarDatos };


/* Funcion que recibe una id y un valor y lo manda POST al php 
   esperando una respuesta json, devoluviendo un objeto con todos 
   los datos */
   async function FUNC_DescargarDatos(q) {
    const url_fetch = './php/consulta.php';    
    let searchData = new FormData()    
    searchData.append('query', q)    
    const resultado = await fetch(url_fetch, {
        method: 'POST',
        body: searchData
    });
    const datos = await resultado.json();
    return datos;
}

export { FUNC_DescargarDatos };